Page MenuHomePhabricator

NDA request for TheDJ
Closed, ResolvedPublic

Description

As a long time volunteer in the Wikimedia and MediaWiki world, I request access to services like logstash and graphite.

I regularly run into tasks linking into these systems, that I cannot access, but would be helpful for me to be able to access, without having to ask someone to double check it for me, and then giving me a yes/no answer in IRC.

I'm also interested in setting up some metrics for TimedMediaHandler T108522: Record and report metrics for audio and video playback

I say, let the incredibly long list of required actions to make this so, begin :)

Event Timeline

TheDJ created this task.Feb 19 2016, 11:36 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 19 2016, 11:36 AM

technical permission being requested here would be ldap/nda group membership

So if this is about the WMF-NDA group in Phabricator, I don't see @TheDJ yet listed in the L2 signatures under https://phabricator.wikimedia.org/legalpad/signatures/2/ ...

If this is (also?) about LDAP, https://phabricator.wikimedia.org/project/profile/974/ says that it needs to be tagged as LDAP-Access-Requests

So if this is about the WMF-NDA group in Phabricator, I don't see @TheDJ yet listed in the L2 signatures under https://phabricator.wikimedia.org/legalpad/signatures/2/ ...

Is the list at https://wikitech.wikimedia.org/wiki/Volunteer_NDA#Get_support considered ordered? The last few bullets suggest that it is, but your comment seems to suggest otherwise.

I guess there's no way to remove the need for this bureaucracy in order to access (all of?) logstash and graphite? Ideally these systems would be as public and open as possible.

A big +1 from me for @TheDJ getting access to anything he needs for MediaWiki/Wikimedia development.

logstash contains private information.

+1 from me for approving @TheDJ NDA access.

Regarding LDAP, afaik that should not be part of the standard Volunteer NDA process. Rather, LDAP is one of several things that have NDA as a prerequisite. In this case it'll make sense indeed for @TheDJ to request LDAP nda membership shortly after his NDA is approved.

Also +1 from me for approving @TheDJ NDA access.

@TheDJ: Could you sign L2 please?

Aklapper assigned this task to TheDJ.Aug 5 2016, 5:29 PM

Temporarily assigning to the TheDJ as per T127430#2486530

TheDJ added a comment.Aug 23 2016, 1:57 PM

I have signed L2 now. Sorry, I did not have much time to keep an eye on WP/MW affairs lately, so it went a bit under the radar.

TheDJ added a comment.EditedAug 23 2016, 2:01 PM

P.S. Part of why I missed that, was because this didn't link to a document that would actually open for me...

Aklapper claimed this task.Aug 23 2016, 4:24 PM
Aklapper triaged this task as Low priority.
Aklapper added a subscriber: Wwes.

Confirming that TheDJ has signed L2.

Next step now is:

Get sign off by a C-level staff of the Wikimedia Foundation. WMF employees will arrange this as a last sign-off (usually with Wes Moran) when all other criteria have been met.

Hence CC'ing @Wwes. (For previous +1's, see T127430#2213248 above.)

Aklapper closed this task as Resolved.Aug 24 2016, 10:34 AM

Thanks everybody!
@TheDJ is now member of WMF-NDA.
Closing as resolved.